black:
  stage: lint
  image: $CI_REGISTRY_IMAGE:$DOCKER_TAG
  needs:
    - job: docker
  before_script:
    - pipenv install --dev
  script:
    - pipenv run lint

helm:
  extends:
    - .lint:rules:helm
  stage: lint
  image: dtzar/helm-kubectl
  script:
    - helm lint helm/

eslint-stylelint:
  extends:
    - .lint:rules:js
    - .lint:rules:css
  stage: lint
  image: $JOB_NODE_IMAGE
  needs:
    - job: docker
  before_script:
    - npm install --save --save-dev
  script:
    - npm run lint:js
    - npm run lint:css
  cache:
    key: npm-cache
    paths:
      - node_modules/
      - package-lock.json
